/// <reference types="cypress" />
/**
 * Work-around for the fact that some Cypress versions pre v10 were missing this property in their types.
 */
declare global {
    namespace Cypress {
        interface PluginConfigOptions {
            testFiles: string[];
        }
    }
}
export declare function beforeRunHandler(config: Cypress.PluginConfigOptions): Promise<void>;
export declare function afterRunHandler(config: Cypress.PluginConfigOptions): Promise<void>;
export declare function beforeSpecHandler(config: Cypress.PluginConfigOptions): Promise<void>;
export declare function afterSpecHandler(config: Cypress.PluginConfigOptions, spec: Cypress.Spec, results: CypressCommandLine.RunResult): Promise<void>;
export declare function afterScreenshotHandler(config: Cypress.PluginConfigOptions, details: Cypress.ScreenshotDetails): Promise<Cypress.ScreenshotDetails>;
declare type AddOptions = {
    omitBeforeRunHandler?: boolean;
    omitAfterRunHandler?: boolean;
    omitBeforeSpecHandler?: boolean;
    omitAfterSpecHandler?: boolean;
    omitAfterScreenshotHandler?: boolean;
};
export default function addCucumberPreprocessorPlugin(on: Cypress.PluginEvents, config: Cypress.PluginConfigOptions, options?: AddOptions): Promise<Cypress.PluginConfigOptions>;
export {};
